POST https://saffron.oncall.datadoghq.com/api/v2/on-call/pages/{page_id}/acknowledge https://lava.oncall.datadoghq.com/api/v2/on-call/pages/{page_id}/acknowledge https://beige.oncall.datadoghq.eu/api/v2/on-call/pages/{page_id}/acknowledge https://navy.oncall.datadoghq.com/api/v2/on-call/pages/{page_id}/acknowledge https://navy.oncall.datadoghq.com/api/v2/on-call/pages/{page_id}/acknowledge https://navy.oncall.datadoghq.com/api/v2/on-call/pages/{page_id}/acknowledge https://teal.oncall.datadoghq.com/api/v2/on-call/pages/{page_id}/acknowledge https://coral.oncall.datadoghq.com/api/v2/on-call/pages/{page_id}/acknowledge
Overview Acknowledges an On-Call Page.
Arguments Path Parameters Response Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Path parameters export page_id = "15e74b8b-f865-48d0-bcc5-453323ed2c8f" # Curl command curl -X POST "https://saffron.oncall.datadoghq.com "https://lava.oncall.datadoghq.com "https://beige.oncall.datadoghq.eu "https://navy.oncall.datadoghq.com "https://navy.oncall.datadoghq.com "https://navy.oncall.datadoghq.com "https://teal.oncall.datadoghq.com "https://coral.oncall.datadoghq.com /api/v2/on-call/pages/${page_id}/acknowledge " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
Acknowledge On-Call Page returns "Accepted." response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.on_call_paging_api import OnCallPagingApi
from uuid import UUID
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = OnCallPagingApi ( api_client )
api_instance . acknowledge_on_call_page (
page_id = UUID ( "15e74b8b-f865-48d0-bcc5-453323ed2c8f" ),
)
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# Acknowledge On-Call Page returns "Accepted." response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: OnCallPagingAPI . new
p api_instance . acknowledge_on_call_page ( "15e74b8b-f865-48d0-bcc5-453323ed2c8f" )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// Acknowledge On-Call Page returns "Accepted." response
package main
import (
"context"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
"github.com/google/uuid"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewOnCallPagingApi ( apiClient )
r , err := api . AcknowledgeOnCallPage ( ctx , uuid . MustParse ( "15e74b8b-f865-48d0-bcc5-453323ed2c8f" ))
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `OnCallPagingApi.AcknowledgeOnCallPage`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// Acknowledge On-Call Page returns "Accepted." response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.OnCallPagingApi ;
import java.util.UUID ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
OnCallPagingApi apiInstance = new OnCallPagingApi ( defaultClient );
try {
apiInstance . acknowledgeOnCallPage ( UUID . fromString ( "15e74b8b-f865-48d0-bcc5-453323ed2c8f" ));
} catch ( ApiException e ) {
System . err . println ( "Exception when calling OnCallPagingApi#acknowledgeOnCallPage" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// Acknowledge On-Call Page returns "Accepted." response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_on_call_paging ::OnCallPagingAPI ;
use uuid ::Uuid ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = OnCallPagingAPI ::with_config ( configuration );
let resp = api
. acknowledge_on_call_page (
Uuid ::parse_str ( "15e74b8b-f865-48d0-bcc5-453323ed2c8f" ). expect ( "invalid UUID" ),
)
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* Acknowledge On-Call Page returns "Accepted." response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . OnCallPagingApi ( configuration );
const params : v2.OnCallPagingApiAcknowledgeOnCallPageRequest = {
pageId : "15e74b8b-f865-48d0-bcc5-453323ed2c8f" ,
};
apiInstance
. acknowledgeOnCallPage ( params )
. then (( data : any ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"